/** Copyright (C) 2017 by Bundesanstalt für Gewässerkunde
 * Software engineering by
 *  Björnsen Beratende Ingenieure GmbH
 *  Dr. Schumacher Ingenieurbüro für Wasser und Umwelt
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */
package test;

import java.io.IOException;

import org.dive4elements.artifacts.httpclient.exceptions.ConnectionException;
import org.dive4elements.river.client.shared.exceptions.ServerException;
import org.dive4elements.river.client.shared.model.Data;
import org.dive4elements.river.client.shared.model.DataItem;
import org.dive4elements.river.client.shared.model.DefaultDataItem;
import org.dive4elements.river.client.shared.model.StringOptionsData;

import test.BerechnungsartenTester.CalcMode;
import test.BerechnungsartenTester.FilenameMapper;
import test.BerechnungsartenTester.River;

/**
 * @author Domenico Nardi Tironi
 *
 */
public class SinfoTkhRunner extends AbstractModuleRunner {

    public SinfoTkhRunner(final String username, final String password, final CalcMode sinfoCalcFlowDepth, final FilenameMapper file, final double from,
            final double to, final River river) throws ConnectionException, ServerException {
        super(username, password, AbstractModuleRunner.Infotype.sinfo, sinfoCalcFlowDepth, file, from, to, river);

    }

    @Override
    public void runTest(final boolean exportToFile) throws ServerException, IOException {
        /* Select River */
        super.selectRiver();

        /* Select CalcMode */
        super.selectCalcMode();

        /* Select Range */
        // super.selectMaxRange();

        /* Select TRANSPORTKÖRPERHÖHHEN - einziger Unterschied zu FlowdepthMinMax */
        //
        // <data name="wq_isq" type="Boolean" />
        // <data name="wq_isfree" type="Boolean" />
        // <data name="wq_isrange" type="Boolean" />
        // <data name="wq_from" type="Double" />
        // <data name="wq_to" type="Double" />
        // <data name="wq_step" type="Double" />
        // <data name="wq_single" type="Double[]" />

        feedAndGo(new Data[] {

                new StringOptionsData("wq_isq", "wq_isq", new DataItem[] { new DefaultDataItem("false", "false", "false") }),
                new StringOptionsData("wq_isfree", "wq_isfree", new DataItem[] { new DefaultDataItem("false", "false", "false") }),
                new StringOptionsData("wq_isrange", "wq_isrange", new DataItem[] { new DefaultDataItem("false", "false", "false") }),

                new StringOptionsData("wq_single", "wq_single", new DataItem[] { new DefaultDataItem("1059.446", "1059.446", "1059.446") }) }, 0);

        describeCollection();

        super.export(exportToFile);
    }
}
